indac_dbconn {indac.db} | R Documentation

## Collect information about the package annotation DB

### Description

Some convenience functions for getting a connection object to (or collecting information about) the package annotation DB.

### Usage

      indac_dbconn()
      indac_dbfile()
      indac_dbschema(file="", show.indices=FALSE)
      indac_dbInfo()

### Arguments

`file` | A connection, or a character string naming the file to print to (see the `file` argument of the `cat` function for the details).
`show.indices` | The CREATE INDEX statements are not shown by default. Use `show.indices=TRUE` to get them.

### Details

`indac_dbconn` returns a connection object to the package annotation DB. IMPORTANT: Don't call `dbDisconnect` on the connection object returned by `indac_dbconn` or you will break all the `AnnDbObj` objects defined in this package!

`indac_dbfile` returns the path (character string) to the package annotation DB (this is an SQLite file).

`indac_dbschema` prints the schema definition of the package annotation DB.

`indac_dbInfo` prints other information about the package annotation DB.

### Value

`indac_dbconn`: a DBIConnection object representing an open connection to the package annotation DB.
`indac_dbfile`: a character string with the path to the package annotation DB.
`indac_dbschema`: none (invisible `NULL`).
`indac_dbInfo`: none (invisible `NULL`).

### See Also

`dbGetQuery`, `dbConnect`, `dbconn`, `dbfile`, `dbschema`, `dbInfo`

### Examples

      ## Count the number of rows in the "probes" table:
      dbGetQuery(indac_dbconn(), "SELECT COUNT(*) FROM probes")

      ## The connection object returned by indac_dbconn() was created with:
      dbConnect(SQLite(), dbname=indac_dbfile(), cache_size=64000, synchronous=0)

      indac_dbschema()

      indac_dbInfo()

[Package indac.db version 2.0.2 Index]